Overview
POST/content/keywordscontent

Create keywords

Create a record in keywords.

Auth: bearerAuth — calls run as the authenticated user.

Request body

application/json · optional

  • deletedAtoptionalstring?
  • ecosystemIdoptionalstring
  • labelstring
  • coloroptionalstring
  • descriptionoptionalstring
Example
{
  "deletedAt": "string",
  "ecosystemId": "string",
  "label": "string",
  "color": "string",
  "description": "string"
}
Responses
201

keywords

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • labelstring
  • colorstring
  • descriptionstring
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "label": "string",
  "color": "string",
  "description": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/keywords" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "deletedAt": "string",
  "ecosystemId": "string",
  "label": "string",
  "color": "string",
  "description": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/keywords", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"deletedAt\": \"string\",\n  \"ecosystemId\": \"string\",\n  \"label\": \"string\",\n  \"color\": \"string\",\n  \"description\": \"string\"\n}",
});
const data = await res.json();